import { Size } from "../../types/ImportSignallingData";
import WebRTCClient from "../WebRTCClient";
export declare class PlayerResolution {
    private readonly webrtc_player;
    private delayResize;
    private blockResize;
    constructor(webrtc_player: WebRTCClient);
    private _isDynamic?;
    set isDynamic(value: boolean);
    get isDynamic(): boolean;
    private static NamedSizes;
    private _videoRes;
    set videoRes(value: Size);
    get videoRes(): Size;
    getMaxResolution(): Size;
    private _getMaxResolution;
    setResolution(): Size;
    /** Tells the Stream the size of the video to be displayed, to scale down resolution and therefore bandwidth. */
    updateVideoStreamSize(size: Size): void;
    protected setStreamResolution(size: Size): void;
}
