import RTCPlayer from "../entities/RTCPlayer";
import WebRTCClient from "../entities/WebRTCClient";
import Desktop from "./Desktop";
export default class TouchInput extends Desktop {
    constructor(webrtc_client: WebRTCClient, player: RTCPlayer);
    registerInputs(): void;
    private normalizeAndQuantizeUnsigned;
    private normalizeAndQuantizeSigned;
    private unquantizeAndDenormalizeUnsigned;
    private _orientationChangeTimeout;
    private onOrientationChange;
    private setupNormalizeAndQuantize;
    showOnScreenKeyboard(command: {
        showOnScreenKeyboard: boolean;
        x: number;
        y: number;
    }): void;
    createOnScreenKeyboardHelpers(): void;
    registerTouchEvents(): void;
}
