/** Verbosity levels for warnings/errors */
export declare enum VerbosityCode {
    /** we may use for cases when frontend sends some wrong params */
    FRONTEND_CONFIGURATION_ERROR = 0,
    /** we may use when something critical happens, when stream can’t be received */
    ERROR = 1,
    /** when stream works but there are some issues, or user will be disconnected soon */
    WARNING = 2,
    DEBUG = 3
}
