/// <reference types="node" />
export declare type ITimeout = NodeJS.Timeout;
export declare class Timeout {
    ms?: number;
    private startTime?;
    private timeout?;
    get elapsedTime(): number;
    getElapsedTime(): string;
    get running(): boolean;
    constructor(ms?: number);
    start(callback?: () => void, ms?: number): void;
    stop(): void;
}
export declare type IPromisedTimeout = {
    reject: () => void;
    timeout: NodeJS.Timeout;
};
export declare class PromisedTimeout {
    ms: number;
    private startTime?;
    private timeout?;
    get elapsedTime(): number;
    getElapsedTime(): string;
    get running(): boolean;
    constructor(ms: number);
    start(): Promise<void>;
    stop(): void;
}
