import WebRTCClient from "./WebRTCClient";
/** A helper class.
 * Todo: try to refactor it so it's not clunky anymore.
 */
export default class Dom {
    constructor();
    private _container;
    get container(): HTMLElement;
    set container(element: HTMLElement);
    audio: HTMLAudioElement;
    private _video?;
    set video(element: HTMLVideoElement);
    get video(): HTMLVideoElement;
    sizeContainer: HTMLElement;
    private _overlay?;
    set overlay(element: Overlay | undefined);
    get overlay(): Overlay | undefined;
    get stats(): HTMLElement | null;
    playOverlay: PlayOverlay;
    statsSelector: () => HTMLElement | null;
    editTextButton: HTMLElement;
    editTextButtonSelector: () => HTMLElement | null;
    hiddenInput: HTMLElement;
    hiddenInputSelector: () => HTMLElement | null;
    streamingVideo: HTMLElement;
    streamingVideoSelector: () => HTMLElement | null;
}
export declare class PlayOverlay {
    overlayElement: HTMLElement | null;
    constructor(webrtc_client: WebRTCClient);
    remove(): void;
    show(): void;
}
export declare class Overlay {
    private webrtc_client;
    readonly element: HTMLElement | null;
    constructor(container: HTMLElement, webrtc_client: WebRTCClient);
}
