import RTCPlayer from "../entities/RTCPlayer";
import WebRTCClient from "../entities/WebRTCClient";
import Engine from "./Engine";
export default class Desktop extends Engine {
    constructor(webrtc_client: WebRTCClient, player: RTCPlayer);
    registerKeyboardEvents(): void;
    registerInputs(): void;
    registerMouseEnterAndLeaveEvents(): void;
    showFreezeFrame(): void;
    resizeFreezeFrameOverlay: () => void;
    registerHoveringMouseEvents(): void;
    pressMouseButtons(buttons: number, x: number, y: number): void;
    releaseMouseButtons(buttons: number, x: number, y: number): void;
    registerLockedMouseEvents(): void;
    private lockStateChange;
    private updatePosition;
}
