import { Dispatcher } from "./event/Dispatcher";
import { PromisedTimeout } from "./Timeout";
export declare class AwayFromKeyboard {
    private events;
    enabled: boolean;
    warnTimeout: PromisedTimeout;
    warn(): Promise<void>;
    errorTimeout: PromisedTimeout;
    error(): Promise<void>;
    actionTimeout: PromisedTimeout;
    action(): Promise<void>;
    start(): void;
    private _warnTime;
    get warnTime(): number;
    set warnTime(value: number);
    private _errorTime;
    get errorTime(): number;
    set errorTime(value: number);
    private _actionTime;
    get actionTime(): number;
    set actionTime(value: number);
    /**
     *
     * @param warnTime The time to elapse before warning the user they are inactive. (milliseconds)
     * @param errorTime The time between the warning and the reaction. (milliseconds)
     * */
    constructor(events: Dispatcher, enabled?: boolean, warnTime?: number, errorTime?: number, actionTime?: number);
}
