export declare type LoggableClass = {
    readonly identifier: string;
    warn: (message: any, obj?: any) => Logger;
    error: (message: any, obj?: any) => Logger;
    http: (message: any, obj?: any) => Logger;
    verbose: (message: any, obj?: any) => Logger;
    silly: (message: any, obj?: any) => Logger;
    info: (message: any, obj?: any) => Logger;
    debug: (message: any, obj?: any) => Logger;
};
export declare type Logger = Omit<LoggableClass, "identifier">;
export declare const log: Logger;
export declare function Log<T extends LoggableClass>(): (constructor: new (...args: any[]) => T) => void;
